package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.util.List;

@ApiModel
public class DrpSupplyStatisticsPageDTO  {
   @ApiModelProperty("开始日期")
   private LocalDate startTime;
   @ApiModelProperty("结束日期")
   private LocalDate endTime;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("区域id列表")
   private List<Long> areaIdList;


   public LocalDate getStartTime() {
      return this.startTime;
   }

   public LocalDate getEndTime() {
      return this.endTime;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public void setStartTime(final LocalDate startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDate endTime) {
      this.endTime = endTime;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getStartTime());
      return "DrpSupplyStatisticsPageDTO(startTime=" + var10000 + ", endTime=" + String.valueOf(this.getEndTime()) + ", supplierId=" + this.getSupplierId() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ")";
   }
}
